Bug 838342 - Adding live_ram to kernel params prevents mount of persistent home
Adding live_ram to kernel params prevents mount of persistent home
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 10:42 EDT by livecdlife
Modified: 2013-08-01 00:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:10:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description livecdlife 2012-07-08 10:42:31 EDT
Description of problem:
Adding "live_ram" makes impossible mounting of persistent home. Obviously, after the image is loaded to ram, the partition is "ejected" and is not visible for mounting home.

Version-Release number of selected component (if applicable):
Livecd-tools 17.11

How reproducible:



Steps to Reproduce:
1. Create any standard livecd (Gnome or Kde) on vfat or ext4 partition of usb stick
2. When booting, press "Tab" and add "live_ram" to kernel parameters
  
Actual results:
If usb stick partition is vfat, everything boots, but the /home is not mounted to the persistent home.img file.
If usb stick partition is ext4, the boot process stop with some messages
udevd[330 <or 336 or 338>]: inotify_add_watch(6, /dev/sda1,10): failed: no such file or directory
dracut warning: unable to process the initqueue
dracut warning: /dev/disk/by-uuid/... does not exist


Expected results:
LiveOS/home.img from usb stick is mapped to /dev/loopN and the encryption partition is mounted through /dev/mapper/EncHome to /home


Additional info:
Tested on several usb sticks (usb 2.0, usb 3.0) and different configurations of .ks files (basic, gnome, kde, custom).
Comment 1 Fedora End Of Life 2013-07-03 20:26:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 00:10:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.